# Uses of Interface
java.lang.classfile.instruction.LookupSwitchInstruction

Packages that use LookupSwitchInstruction
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of LookupSwitchInstruction in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return LookupSwitchInstruction
Modifier and Type
Method
Description
`static LookupSwitchInstruction`
LookupSwitchInstruction.`of(Label defaultTarget, List<SwitchCase> cases)`
Returns a lookup switch instruction.